Image::ExifTool::LNK(3)

NAME
Image::ExifTool::LNK - Read MS Shell Link (.LNK) meta information

SYNOPSIS
This module is used by Image::ExifTool

DESCRIPTION
This module contains definitions required by Image::ExifTool to extract meta information MS Shell Link (Windows shortcut) files.

AUTHOR
Copyright 2003-2026, Phil Harvey (philharvey66 at gmail.com)

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

REFERENCES

<http://msdn.microsoft.com/en-us/library/dd871305(PROT.10).aspx>
<http://www.i2s-lab.com/Papers/The_Windows_Shortcut_File_Format.pdf>
<https://harfanglab.io/insidethelab/sadfuture-xdspy-latest-evolution/#tid_specifications_ignored>
<https://github.com/libyal/libfwsi/blob/main/documentation/Windows%20Shell%20Item%20format.asciidoc>
<https://github.com/EricZimmerman/Lnk/blob/master/Lnk/ShellItems/ShellBag0x00.cs>

SEE ALSO
"LNK Tags" in Image::ExifTool::TagNames, Image::ExifTool(3pm)